org.springframework.cloud.dataflow.registry.repository

## Interface AppRegistrationRepository

- All Superinterfaces:
    AppRegistrationRepositoryCustom, org.springframework.data.repository.CrudRepository<AppRegistration,Long>, org.springframework.data.keyvalue.repository.KeyValueRepository<AppRegistration,Long>, org.springframework.data.repository.PagingAndSortingRepository<AppRegistration,Long>, org.springframework.data.repository.Repository<AppRegistration,Long>

      @Transactional
      public interface AppRegistrationRepository
      extends org.springframework.data.keyvalue.repository.KeyValueRepository<AppRegistration,Long>, AppRegistrationRepositoryCustom

  Repository interface for managing the `AppRegistration` class.
  Author:
    Christian Tzolov, Ilayaperumal Gopinathan

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteAppRegistrationByNameAndTypeAndVersion(String name, ApplicationType type, String version)`
    `List<AppRegistration>` | `findAll()`
    `org.springframework.data.domain.Page<AppRegistration>` | `findAllByDefaultVersionIsTrue(org.springframework.data.domain.Pageable pageable)`
    `List<AppRegistration>` | `findAllByName(String name)`
    `org.springframework.data.domain.Page<AppRegistration>` | `findAllByNameContainingIgnoreCase(String name, org.springframework.data.domain.Pageable pageable)`
    `org.springframework.data.domain.Page<AppRegistration>` | `findAllByNameContainingIgnoreCaseAndDefaultVersionIsTrue(String name, org.springframework.data.domain.Pageable pageable)`
    `org.springframework.data.domain.Page<AppRegistration>` | `findAllByType(ApplicationType type, org.springframework.data.domain.Pageable pageable)`
    `org.springframework.data.domain.Page<AppRegistration>` | `findAllByTypeAndDefaultVersionIsTrue(ApplicationType type, org.springframework.data.domain.Pageable pageable)`
    `org.springframework.data.domain.Page<AppRegistration>` | `findAllByTypeAndNameContainingIgnoreCase(ApplicationType type, String name, org.springframework.data.domain.Pageable pageable)`
    `org.springframework.data.domain.Page<AppRegistration>` | `findAllByTypeAndNameContainingIgnoreCaseAndDefaultVersionIsTrue(ApplicationType type, String name, org.springframework.data.domain.Pageable pageable)`
    `AppRegistration` | `findAppRegistrationByNameAndTypeAndDefaultVersionIsTrue(String name, ApplicationType type)`
    `AppRegistration` | `findAppRegistrationByNameAndTypeAndVersion(String name, ApplicationType type, String version)`
    `<S extends AppRegistration> S` | `save(S s)`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll, findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, deleteAll, deleteAll, deleteById, existsById, findAllById, findById, saveAll`

    - ### Methods inherited from interface org.springframework.cloud.dataflow.registry.repository.AppRegistrationRepositoryCustom

      `findAllByTypeAndNameIsLikeAndVersionAndDefaultVersion`

- - ### Method Detail

    - #### findAppRegistrationByNameAndTypeAndVersion

          AppRegistration findAppRegistrationByNameAndTypeAndVersion(String name,
                                                                     ApplicationType type,
                                                                     String version)

    - #### findAppRegistrationByNameAndTypeAndDefaultVersionIsTrue

          AppRegistration findAppRegistrationByNameAndTypeAndDefaultVersionIsTrue(String name,
                                                                                  ApplicationType type)

    - #### deleteAppRegistrationByNameAndTypeAndVersion

          void deleteAppRegistrationByNameAndTypeAndVersion(String name,
                                                            ApplicationType type,
                                                            String version)

    - #### findAllByTypeAndNameContainingIgnoreCase

          org.springframework.data.domain.Page<AppRegistration> findAllByTypeAndNameContainingIgnoreCase(ApplicationType type,
                                                                                                         String name,
                                                                                                         org.springframework.data.domain.Pageable pageable)

    - #### findAllByType

          org.springframework.data.domain.Page<AppRegistration> findAllByType(ApplicationType type,
                                                                              org.springframework.data.domain.Pageable pageable)

    - #### findAllByNameContainingIgnoreCase

          org.springframework.data.domain.Page<AppRegistration> findAllByNameContainingIgnoreCase(String name,
                                                                                                  org.springframework.data.domain.Pageable pageable)

    - #### findAllByDefaultVersionIsTrue

          org.springframework.data.domain.Page<AppRegistration> findAllByDefaultVersionIsTrue(org.springframework.data.domain.Pageable pageable)

    - #### findAllByTypeAndNameContainingIgnoreCaseAndDefaultVersionIsTrue

          org.springframework.data.domain.Page<AppRegistration> findAllByTypeAndNameContainingIgnoreCaseAndDefaultVersionIsTrue(ApplicationType type,
                                                                                                                                String name,
                                                                                                                                org.springframework.data.domain.Pageable pageable)

    - #### findAllByTypeAndDefaultVersionIsTrue

          org.springframework.data.domain.Page<AppRegistration> findAllByTypeAndDefaultVersionIsTrue(ApplicationType type,
                                                                                                     org.springframework.data.domain.Pageable pageable)

    - #### findAllByNameContainingIgnoreCaseAndDefaultVersionIsTrue

          org.springframework.data.domain.Page<AppRegistration> findAllByNameContainingIgnoreCaseAndDefaultVersionIsTrue(String name,
                                                                                                                         org.springframework.data.domain.Pageable pageable)

    - #### findAllByName

          List<AppRegistration> findAllByName(String name)

    - #### save

          <S extends AppRegistration> S save(S s)

      Specified by:
        `save` in interface `org.springframework.data.repository.CrudRepository<AppRegistration,Long>`

    - #### findAll

          List<AppRegistration> findAll()

      Specified by:
        `findAll` in interface `org.springframework.data.repository.CrudRepository<AppRegistration,Long>`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.